Revoke mandate
curl --request POST \
--url https://api.natural.com/mandates/{mandateId}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"reason": "The guest asked us to stop charging their card."
}
}
}
'import requests
url = "https://api.natural.com/mandates/{mandateId}/revoke"
payload = { "data": { "attributes": { "reason": "The guest asked us to stop charging their card." } } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {attributes: {reason: 'The guest asked us to stop charging their card.'}}
})
};
fetch('https://api.natural.com/mandates/{mandateId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/mandates/{mandateId}/revoke",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'reason' => 'The guest asked us to stop charging their card.'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/mandates/{mandateId}/revoke"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"The guest asked us to stop charging their card.\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/mandates/{mandateId}/revoke")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"The guest asked us to stop charging their card.\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/mandates/{mandateId}/revoke")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"reason\": \"The guest asked us to stop charging their card.\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "mdt_019d0a1b2c3d4e5f60718293a4b5c6e2",
"type": "mandate",
"attributes": {
"paymentMethod": "card",
"status": "revoked",
"amountType": "variable",
"amount": 50000,
"currency": "USD",
"usage": "multiUse",
"description": "Damage deposit for your stay",
"endedAt": "2026-10-28T09:00:00.000Z",
"revocationReason": "The guest asked us to stop charging their card.",
"createdAt": "2026-10-27T15:04:12.000Z",
"updatedAt": "2026-10-28T09:00:00.000Z",
"validUntil": "2026-11-23T00:00:00.000Z",
"card": {
"brand": "visa",
"last4": "4242",
"expiryMonth": 12,
"expiryYear": 2030,
"cardholderName": "Jordan Lee",
"funding": "credit",
"issuer": "Chase",
"country": "US",
"removed": false
},
"payerEmail": "jordan@example.com"
}
}
}Mandates
Revoke mandate
Revoke a card or bank mandate of your party. A card mandate that belongs to a subscription returns 409, so cancel the subscription instead. Returns the Mandate object.
POST
/
mandates
/
{mandateId}
/
revoke
Revoke mandate
curl --request POST \
--url https://api.natural.com/mandates/{mandateId}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"reason": "The guest asked us to stop charging their card."
}
}
}
'import requests
url = "https://api.natural.com/mandates/{mandateId}/revoke"
payload = { "data": { "attributes": { "reason": "The guest asked us to stop charging their card." } } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {attributes: {reason: 'The guest asked us to stop charging their card.'}}
})
};
fetch('https://api.natural.com/mandates/{mandateId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/mandates/{mandateId}/revoke",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'reason' => 'The guest asked us to stop charging their card.'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/mandates/{mandateId}/revoke"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"The guest asked us to stop charging their card.\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/mandates/{mandateId}/revoke")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"The guest asked us to stop charging their card.\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/mandates/{mandateId}/revoke")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"reason\": \"The guest asked us to stop charging their card.\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "mdt_019d0a1b2c3d4e5f60718293a4b5c6e2",
"type": "mandate",
"attributes": {
"paymentMethod": "card",
"status": "revoked",
"amountType": "variable",
"amount": 50000,
"currency": "USD",
"usage": "multiUse",
"description": "Damage deposit for your stay",
"endedAt": "2026-10-28T09:00:00.000Z",
"revocationReason": "The guest asked us to stop charging their card.",
"createdAt": "2026-10-27T15:04:12.000Z",
"updatedAt": "2026-10-28T09:00:00.000Z",
"validUntil": "2026-11-23T00:00:00.000Z",
"card": {
"brand": "visa",
"last4": "4242",
"expiryMonth": 12,
"expiryYear": 2030,
"cardholderName": "Jordan Lee",
"funding": "credit",
"issuer": "Chase",
"country": "US",
"removed": false
},
"payerEmail": "jordan@example.com"
}
}
}Authorizations
Headers
Was this page helpful?